#
# spec file for package l-smash
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define soname 2
Name:           l-smash
Version:        2.9.1+git20151003.3408947
Release:        1.1
Summary:        A simple tool for MP4
License:        BSD-3-Clause
Group:          System/Libraries
Url:            https://github.com/l-smash/l-smash
Source:         %{name}-%{version}.tar.gz
#PATCH-FIX-UPSTREAM marguerite@opensuse.org - importer.h is needed by x264_tMod
Patch1:         %{name}-install_importer.h.patch
#PATCH-FIX-UPSTREAM marguerite@opensuse.org - remove __DATE__ and __TIME__
Patch2:         %{name}-DATE_TIME.patch
BuildRequires:  pkg-config
Requires:       liblsmash%{soname} = %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Loyal to Spec of Mpeg4 and Ad-hoc Simple Hackwork.
Yet another opensource mp4 handler™

%package -n liblsmash%{soname}
Summary:        Libraries of L-SMASH
Group:          System/Libraries

%description -n liblsmash%{soname}
Loyal to Spec of Mpeg4 and Ad-hoc Simple Hackwork.
Yet another opensource mp4 handler™

This package provides runtime libraries for L-SMASH.

%package devel
Summary:        Development headers for L-SMASH
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version}

%description devel
Loyal to Spec of Mpeg4 and Ad-hoc Simple Hackwork.
Yet another opensource mp4 handler™

This package provides development headers for L-SMASH.

%prep
%setup -q
%patch1 -p1
%patch2 -p1

%build
./configure --prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--disable-static \
	--enable-shared \
	--extra-cflags="%{optflags}"
make %{?_smp_mflags}

%install
%make_install

%post -n liblsmash%{soname} -p /sbin/ldconfig

%postun -n liblsmash%{soname} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc LICENSE
%{_bindir}/boxdumper
%{_bindir}/muxer
%{_bindir}/remuxer
%{_bindir}/timelineeditor

%files -n liblsmash%{soname}
%defattr(-,root,root)
%{_libdir}/liblsmash.so.%{soname}

%files devel
%defattr(-,root,root)
%{_includedir}/lsmash.h
%{_includedir}/lsmash_importer.h
%{_libdir}/liblsmash.so
%{_libdir}/pkgconfig/liblsmash.pc

%changelog
* Tue Feb  9 2016 i@marguerite.su
- Update to version 2.9.1+git20151003.3408947:
  + description: Make description setup functions more encapsulated.
  + read: Select description reader by sane procedure.
  + mp4a: Fix failure of bitrate update and QTFF output.
  + read: Select description allocator by sane procedure.
  + write: Select description writer by sane procedure.
  + print: Select description printer by sane procedure.
  + read: Read sample entry immediately as unknown if media 'hdlr' is not found.
  + write: Don't write sample entry if media 'hdlr' is not found.
  + MSVC: add missing source files.
  + cli/muxer: Add 'par' track option, which specifies pixel aspect ratio.
* Mon Apr 21 2014 i@margueirte.su
- initial version 20140421
